.toybox-module-nav-icon-back {
  position: fixed;
  top: 30px;
  left: 30px;
  opacity: 0.4;
  transition: opacity 150ms;

  .material-icons {
    transform: scale(2);
    color: #FFCC01;
    border: 2.8px solid #FFCC01;
    border-radius: 50%;
  }

  &:hover {
    opacity: 1;
    transition: opacity 150ms;
  }
}

.toybox-module-nav-icon-info {
  position: fixed;
  top: 33px;
  left: 110px;
  opacity: 0.4;
  transition: opacity 150ms;

  .material-icons {
    transform: scale(3.1);
    color: #FFCC01;
  }

  &:hover {
    opacity: 1;
    transition: opacity 150ms;
  }
}

::-webkit-scrollbar {
  width: 0;
}

@keyframes overlay-in {
  0%   {transform: translateX(-500px);}
  100% {transform: translateX(0);}
}

@keyframes overlay-out {
  0%   {transform: translateX(0);}
  100% {transform: translateX(-500px);}
}

@keyframes fade-in {
  0%   {opacity: 0;}
  100% {opacity: 1;}
}

@keyframes fade-out {
  0%   {opacity: 1;}
  100% {opacity: 0;}
}

#toybox-module-info {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 500px;
  transform: translateX(-500px);
  background: #FFCC01;
  color: white;
  line-height: 1.1;
  overflow-x: hidden;
  overflow-y: scroll;
  z-index: 1000;

  &.show {
    animation: overlay-in 300ms ease-in-out 0ms 1 forwards;

    h2   { animation: fade-in 1000ms ease-out 300ms 1 forwards; }
    span { animation: fade-in 1200ms ease-out 800ms 1 forwards; }
    p    { animation: fade-in 1200ms ease-out 1000ms 1 forwards; }
  }

  &.hide {
    animation: overlay-out 300ms ease-in-out 0ms 1 forwards;

    h2   { animation: fade-out 1s ease-in 0ms 1 forwards; }
    span { animation: fade-out 1s ease-out 0ms 1 forwards; }
    p    { animation: fade-out 1s ease-out 0ms 1 forwards; }
  }

  h2 {
    text-transform: uppercase;
    margin: 90px 30px 0 30px;
    font-weight: bold;
    opacity: 0;
  }

  span {
    display: block;
    margin-left: 30px;
    opacity: 0;

    &:first-of-type{
      margin-bottom: 15px;
    }

    &:last-of-type {
      margin-bottom: 25px;
    }

    a,
    a:visited {
      text-decoration: underline;
      color: white;
    }
  }

  p {
    margin: 30px 40px 30px 30px;
    opacity: 0;
  }

  .toybox-module-nav-icon-close {
    color: white;
    transform: scale(1.8);
    transition: all 200ms;
    float: right;
    padding: 30px;

    &:hover {
      transform: scale(2);
      transition: all 200ms;
    }
  }
}